2019-01-23 01:56 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002168NetSurf[All Projects] Generalpublic2015-03-10 11:12
ReporterChris Young 
Assigned ToVincent Sanders 
SeverityminorReproducibilityalways 
StatusclosedResolutionfixed 
PlatformAmigaOSAmigaOSOS Version4.1
Product Version3.2 
Target VersionFixed in Version3.2 
Summary0002168: Certificate validation tree is corrupted when manipulated
DescriptionThe certificate validation display starts fine (pic 1), and gradually gets worse when the items are expanded (pic 2) and scrolled/redrawn (pic 3)
Steps To ReproduceVisit a site needing certificate verification (I used https://www.unsatisfactorysoftware.co.uk as I know the certificates there are dodgy)
Manipulate the certificate tree by expanding/contracting items and scrolling.
TagsNo tags attached.
Fixed in CI build #2019
Reported in CI build #2000
URL of problem pagehttps://www.unsatisfactorysoftware.co.uk
Attached Files
  • jpg file icon ssl1.jpg (51,473 bytes) 2014-07-06 22:33 -
    jpg file icon ssl1.jpg (51,473 bytes) 2014-07-06 22:33 +
  • jpg file icon ssl2.jpg (48,772 bytes) 2014-07-06 22:34 -
    jpg file icon ssl2.jpg (48,772 bytes) 2014-07-06 22:34 +
  • jpg file icon ssl3.jpg (42,100 bytes) 2014-07-06 22:34 -
    jpg file icon ssl3.jpg (42,100 bytes) 2014-07-06 22:34 +

-Relationships
has duplicate 0002179closedVincent Sanders Crashes on invalid certificate 
+Relationships

-Notes
Vincent Sanders

~0000408

Vincent Sanders (administrator)

I think ci build 2019 should fix this.

This commit addresses the cert_verify() callback constructing treeviews directly from the cert data in the message without copying in it.

 message data is only valid for the duration of its delivery so the certificate information (stored on stack) was simply no longer valid and as the stack was reused became corrupted!

Can you verify on your frontend and close bug if it is rectified
Chris Young

~0000412

Chris Young (developer)

Confirmed fixed.
Vincent Sanders

~0000720

Vincent Sanders (administrator)

Confirmed fixed in 3.2 release
+Notes

-Issue History
Date Modified Username Field Change
2014-07-06 22:33 Chris Young New Issue
2014-07-06 22:33 Chris Young File Added: ssl1.jpg
2014-07-06 22:34 Chris Young File Added: ssl2.jpg
2014-07-06 22:34 Chris Young File Added: ssl3.jpg
2014-07-07 06:55 Vincent Sanders Status new => acknowledged
2014-07-07 06:55 Vincent Sanders Description Updated View Revisions
2014-07-07 06:55 Vincent Sanders Steps to Reproduce Updated View Revisions
2014-07-17 14:34 Vincent Sanders Note Added: 0000408
2014-07-17 14:34 Vincent Sanders Assigned To => Vincent Sanders
2014-07-17 14:34 Vincent Sanders Status acknowledged => confirmed
2014-07-17 17:55 Vincent Sanders Status confirmed => feedback
2014-07-17 22:27 Chris Young Fixed in CI build # => 2019
2014-07-17 22:27 Chris Young Note Added: 0000412
2014-07-17 22:27 Chris Young Status feedback => assigned
2014-07-17 22:27 Chris Young Status assigned => resolved
2014-07-17 22:27 Chris Young Fixed in Version => 3.2
2014-07-17 22:27 Chris Young Resolution open => fixed
2014-08-03 13:09 Daniel Silverstone Relationship added has duplicate 0002179
2015-03-10 11:12 Vincent Sanders Note Added: 0000720
2015-03-10 11:12 Vincent Sanders Status resolved => closed
+Issue History